%define	module	SQL-Statement
%define	name	perl-%{module}
%define	version	1.20
%define	release	%mkrel 1

Name:		%{name}
Summary:	SQL parsing and processing engine
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/SQL/%{module}-%{version}.tar.gz
BuildRequires:  perl(Clone)
BuildRequires:  perl(Params::Util)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
The SQL::Statement module implements a pure Perl SQL parsing and execution
engine. While it by no means implements full ANSI standard, it does support
many features including column and table aliases, built-in and user-defined
functions, implicit and explicit joins, complexly nested search conditions, and
other features.

%prep 
%setup -q -n %{module}-%{version}
# remove DOS end of lines and fix permissions
find -type f | xargs perl -pi -e 's/\cM//'
find -type f | xargs chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/SQL
%{_mandir}/*/*



%changelog
* Fri Mar 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2009.1
+ Revision: 349681
- update to new version 1.20

* Mon Feb 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.19-1mdv2009.1
+ Revision: 338673
- update to new version 1.19

* Sat Jan 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-1mdv2009.1
+ Revision: 333300
- new version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.15-4mdv2009.0
+ Revision: 241906
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 1.15-2mdv2008.0
+ Revision: 23891
- rebuild


* Wed Mar 01 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.15-1mdk
- New release 1.15

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.14-2mdk
- fix url
- Fix Source
- remove -q
- mkrel

* Mon May 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.14-1mdk
- 1.14
- Convert files to Unix end of lines, don't leave them executable

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.09-1mdk
- 1.09

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.005-5mdk
- rebuild for new perl
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.005-4mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.005-3mdk
- buildrequires

